curl --request POST \
--url https://api.onkernel.com/browsers/{id}/computer/drag_mouse \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"path": [
[
123
]
],
"button": "left",
"delay": 0,
"steps_per_segment": 10,
"step_delay_ms": 50,
"hold_keys": [
"<string>"
]
}
'{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}curl --request POST \
--url https://api.onkernel.com/browsers/{id}/computer/drag_mouse \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"path": [
[
123
]
],
"button": "left",
"delay": 0,
"steps_per_segment": 10,
"step_delay_ms": 50,
"hold_keys": [
"<string>"
]
}
'{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Browser session ID
Ordered list of [x, y] coordinate pairs to move through while dragging. Must contain at least 2 points.
22 elementsMouse button to drag with
left, middle, right Delay in milliseconds between button down and starting to move along the path.
x >= 0Number of relative move steps per segment in the path. Minimum 1.
x >= 1Delay in milliseconds between relative steps while dragging (not the initial delay).
x >= 0Modifier keys to hold during the drag
Drag performed